org.wildfly.swarm.config.messaging.activemq.server

## Class LargeMessagesDirectoryPath<T extends LargeMessagesDirectoryPath<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.LargeMessagesDirectoryPath<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class LargeMessagesDirectoryPath<T extends LargeMessagesDirectoryPath<T>>
      extends HashMap

  A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LargeMessagesDirectoryPath()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `path()` The actual filesystem path.
    `T` | `path(String value)` The actual filesystem path.
    `String` | `relativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `relativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### LargeMessagesDirectoryPath

          public LargeMessagesDirectoryPath()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### path

          public String path()

      The actual filesystem path. Treated as an absolute path, unless the 'relative-to' attribute is specified, in which case the value is treated as relative to that path.

      If treated as an absolute path, the actual runtime pathname specified by the value of this attribute will be determined as follows:

      If this value is already absolute, then the value is directly used. Otherwise the runtime pathname is resolved in a system-dependent way. On UNIX systems, a relative pathname is made absolute by resolving it against the current user directory. On Microsoft Windows systems, a relative pathname is made absolute by resolving it against the current directory of the drive named by the pathname, if any; if not, it is resolved against the current user directory.

    - #### path

          public T path(String value)

      The actual filesystem path. Treated as an absolute path, unless the 'relative-to' attribute is specified, in which case the value is treated as relative to that path.

      If treated as an absolute path, the actual runtime pathname specified by the value of this attribute will be determined as follows:

      If this value is already absolute, then the value is directly used. Otherwise the runtime pathname is resolved in a system-dependent way. On UNIX systems, a relative pathname is made absolute by resolving it against the current user directory. On Microsoft Windows systems, a relative pathname is made absolute by resolving it against the current directory of the drive named by the pathname, if any; if not, it is resolved against the current user directory.

    - #### relativeTo

          public String relativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute. The standard paths provided by the system include:
      - jboss.home - the root directory of the JBoss AS distribution
      - user.home - user's home directory
      - user.dir - user's current working directory
      - java.home - java installation directory
      - jboss.server.base.dir - root directory for an individual server instance
      - jboss.server.data.dir - directory the server will use for persistent data file storage
      - jboss.server.log.dir - directory the server will use for log file storage
      - jboss.server.tmp.dir - directory the server will use for temporary file storage
      - jboss.domain.servers.dir - directory under which a host controller will create the working area for individual server instances

    - #### relativeTo

          public T relativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute. The standard paths provided by the system include:
      - jboss.home - the root directory of the JBoss AS distribution
      - user.home - user's home directory
      - user.dir - user's current working directory
      - java.home - java installation directory
      - jboss.server.base.dir - root directory for an individual server instance
      - jboss.server.data.dir - directory the server will use for persistent data file storage
      - jboss.server.log.dir - directory the server will use for log file storage
      - jboss.server.tmp.dir - directory the server will use for temporary file storage
      - jboss.domain.servers.dir - directory under which a host controller will create the working area for individual server instances

Copyright © 2017 JBoss by Red Hat. All rights reserved.